<?php get_header(); ?>

	<div id="content" class="archive">

	<?php if (have_posts()) : ?>

		<?php /* If this is a category archive */ if (is_category()) { ?>
		<div class="archive-desc"><?php printf(__('Archive of posts filed under the %s category.', 'f2'), '<strong>'. single_cat_title('', FALSE). '</strong>') ?></div>

		<?php /* If this is a tag archive */ } elseif ( function_exists ('is_tag') && (is_tag()) ) { ?>
		<div class="archive-desc"><?php printf(__('Archive of posts tagged %s', 'f2'), '<strong>' . single_tag_title('', FALSE) . '</strong>'); ?></div>

		<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<div class="archive-desc"><?php printf(__('Archive of entries posted on %s', 'f2'),  '<strong>'. get_the_time(__('jS F Y'), 'f2').'</strong>'); ?></div>

		<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<div class="archive-desc"><?php printf(__('Archive of entries posted on %s', 'f2'),  '<strong>'. get_the_time(__('F Y'), 'f2').'</strong>'); ?></strong></div>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<div class="archive-desc"><?php printf(__('Archive of entries posted in the year %s', 'f2'),  '<strong>'. get_the_time('Y').'</strong>'); ?></div>

		<?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<div class="archive-desc"><?php printf(__('Archive of entries posted by %s', 'f2'),  '<strong>'. get_the_author_meta('display_name', $post).'</strong>'); ?></div>
		
		<?php } ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries', 'f2')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;', 'f2')) ?></div>
		</div>
		
		<?php while (have_posts()) : the_post(); ?>
				
			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'f2'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h2>
				<div class="postmetadata">
				<?php if(f2_option('show_author') == 'on') : ?>
				<?php _e('Posted by', 'f2'); ?>&nbsp;<span class="postauthor"><?php the_author_posts_link(); ?></span> <?php _e('on', 'f2'); ?>
				<?php endif; ?>
				<span class="postdate"><?php the_time(__('j F Y, g:i a', 'f2')); ?></span>
				</div>
				
				<div class="postentry">
					<?php 
					if(f2_option('archive_posts') == 'full')
						the_content(sprintf(__('Continue reading ‘%s’ »', 'f2'), the_title('', '', false)));
					else
						the_excerpt();
					?>
						
				</div>
		
				<div class="postmetadata">
					<div class="posttagscat">
					<?php if(f2_option('show_cat') == 'on') : ?>
					<span class="postcat"><?php _e('Filed under', 'f2'); ?>&nbsp;<?php the_category(', '); ?>.</span>
					<?php endif; ?>
					<?php if( function_exists('the_tags') ) 
						the_tags('<span class="posttags">'.__('Tagged', 'f2').'&nbsp;', ', ', '</span>'); 
					?>
					</div>

					<span class="postcomment">
					<?php comments_popup_link(__('Comment', 'f2'), __('1 Comment', 'f2'), __('% Comments', 'f2')); ?>
					</span>
					<?php edit_post_link(__('Edit', 'f2'), '<span class="postedit">', '</span>'); ?>
					
				 </div>
			</div>
	
		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries', 'f2')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;', 'f2')) ?></div>
		</div>
		
	<?php else : ?>
		<div class="post">
			<h2 class="posttitle"><?php _e('Not Found', 'f2') ?></h2>
			<div class="postentry"><p><?php _e('Sorry, no posts matched your criteria.', 'f2'); ?></p></div>
		</div>

	<?php endif; ?>

	</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
